/*计划成本计算日志表*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_PLANCOSTCALCLOG')
 CREATE TABLE T_SCA_PLANCOSTCALCLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTCOSTTYPEID BIGINT DEFAULT 0 NOT NULL,
FPLANCOSTTYPEID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE NVARCHAR(20) DEFAULT ' ' NOT NULL,
FSYNCDATE DATETIME,
FORDERNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORDERENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FORDERENTRYID BIGINT DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(20) DEFAULT ' ' NOT NULL,
FLASTEXECDATE DATETIME,
FTRYTIMES INT DEFAULT 0 NOT NULL,
FEXECLOG NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FOPERDATE DATETIME
);

/*计划成本计算结果单*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_PLANCOSTCALCRESULT')
CREATE TABLE T_SCA_PLANCOSTCALCRESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMANUORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTTYPEID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS NVARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLTYPE NVARCHAR(20) DEFAULT ' ' NOT NULL,
FEFFECTDATE DATETIME,
FEXPDATE DATETIME,
FORDERNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORDERENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FORDERENTRYID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FPROCESSROUTEID BIGINT DEFAULT 0 NOT NULL,
FUNIT BIGINT DEFAULT 0 NOT NULL,
FOUTQTY DECIMAL(23, 10) DEFAULT 0   NOT NULL,
FOUTAMOUNT DECIMAL(23, 10) DEFAULT 0   NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0,
FCREATORID BIGINT DEFAULT 0,
FAUDITORID BIGINT DEFAULT 0
);



/**计划成本计算结果单分录**/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCA_PLANRESULTENTRY')
CREATE TABLE T_SCA_PLANRESULTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCALCBASIS NVARCHAR(20) DEFAULT ' ' NOT NULL,
FSUBMATERIALID BIGINT DEFAULT 0 NOT NULL,
FNEEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNEEDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRESOURCEID BIGINT DEFAULT 0 NOT NULL,
FSRCQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);
